.date-picker {
  width: 170px !important;
  height: 25px !important;
  padding: 0 !important;
  border: 0 !important;
  line-height: 25px !important;
  padding-left: 10px !important;
  font-size: 12px !important;
  font-family: Arial, sans-serif !important;
  font-weight: bold !important;
  cursor: pointer !important;
  color: #303030 !important;
  position: relative !important;
  z-index: 2 !important;
}

.date-picker-wrapper {
  position: absolute !important;
  z-index: 1 !important;
  border: 1px solid #bfbfbf !important;
  background-color: #efefef !important;
  padding: 5px 12px !important;
  font-size: 12px !important;
  line-height: 20px !important;
  color: #aaa !important;
  font-family: inherit !important;
  -webkit-box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.5) !important;
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.5) !important;
  -webkit-box-sizing: initial !important;
  box-sizing: initial !important;
}

.dp-clearfix {
  clear: both !important;
  height: 0 !important;
  font-size: 0 !important;
}

.date-picker-wrapper.inline-wrapper {
  position: relative !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  display: inline-block !important;
}

.date-picker-wrapper.single-date {
  width: auto !important;
}

.date-picker-wrapper.no-shortcuts {
  padding-bottom: 12px !important;
}

.date-picker-wrapper.no-topbar {
  padding-top: 12px !important;
}

.date-picker-wrapper .footer {
  font-size: 11px !important;
  padding-top: 3px !important;
}

.date-picker-wrapper b {
  color: #666 !important;
  font-weight: 700 !important;
}

.date-picker-wrapper a {
  color: #6bb4d6 !important;
  text-decoration: underline !important;
}

.date-picker-wrapper .month-name {
  text-transform: uppercase !important;
}

.date-picker-wrapper .select-wrapper {
  position: relative !important;
  overflow: hidden !important;
  display: inline-block !important;
  vertical-align: middle !important;
}

.date-picker-wrapper .select-wrapper:hover {
  text-decoration: underline !important;
}

.date-picker-wrapper .month-element {
  display: inline-block !important;
  vertical-align: middle !important;
}

.date-picker-wrapper .select-wrapper select {
  position: absolute !important;
  margin: 0 !important;
  padding: 0 !important;
  left: 0 !important;
  top: -1px !important;
  font-size: inherit !important;
  font-style: inherit !important;
  font-weight: inherit !important;
  text-transform: inherit !important;
  color: inherit !important;
  cursor: pointer !important;
  -webkit-appearance: none !important;
  -moz-appearance: none !important;
  appearance: none !important;
  background: transparent !important;
  border: 0 !important;
  outline: 0 !important;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=1)" !important;
  filter: alpha(opacity=1) !important;
  opacity: 0.01 !important;
}

.date-picker-wrapper .month-wrapper {
  border: 1px solid #bfbfbf !important;
  border-radius: 3px !important;
  background-color: #fff !important;
  padding: 5px !important;
  cursor: default !important;
  position: relative !important;
  _overflow: hidden !important;
}

.date-picker-wrapper .month-wrapper table {
  width: 190px !important;
  float: left !important;
}

.date-picker-wrapper .month-wrapper table.month2 {
  width: 190px !important;
  float: left !important;
}

.date-picker-wrapper .month-wrapper table th,
.date-picker-wrapper .month-wrapper table td {
  vertical-align: middle !important;
  text-align: center !important;
  line-height: 14px !important;
  margin: 0px !important;
  padding: 0px !important;
}

.date-picker-wrapper .month-wrapper table .day {
  padding: 5px 0 !important;
  line-height: 1 !important;
  font-size: 12px !important;
  margin-bottom: 1px !important;
  color: #ccc !important;
  cursor: default !important;
}

.date-picker-wrapper .month-wrapper table div.day.lastMonth,
.date-picker-wrapper .month-wrapper table div.day.nextMonth {
  color: #999 !important;
  cursor: default !important;
}

.date-picker-wrapper .month-wrapper table .day.checked {
  background-color: #9cdbf7 !important;
}

.date-picker-wrapper .month-wrapper table .week-name {
  height: 20px !important;
  line-height: 20px !important;
  font-weight: 100 !important;
  text-transform: uppercase !important;
}

.date-picker-wrapper .month-wrapper table .day.has-tooltip {
  cursor: help !important;
}

.date-picker-wrapper .month-wrapper table .day.has-tooltip .tooltip {
  white-space: nowrap !important;
}

.date-picker-wrapper .time label {
  white-space: nowrap !important;
}

.date-picker-wrapper .month-wrapper table .day.toMonth.valid {
  color: #333 !important;
  cursor: pointer !important;
}

.date-picker-wrapper .month-wrapper table .day.toMonth.hovering {
  background-color: #cdecfa !important;
}

.date-picker-wrapper .month-wrapper table .day.nextMonth,
.date-picker-wrapper .month-wrapper table .day.lastMonth {
  display: none;
}

.date-picker-wrapper .month-wrapper table .day.real-today {
  background-color: #ffe684 !important;
}

.date-picker-wrapper .month-wrapper table .day.real-today.checked,
.date-picker-wrapper .month-wrapper table .day.real-today.hovering {
  background-color: #70ccd5 !important;
}

.date-picker-wrapper table .caption {
  height: 40px !important;
}

.date-picker-wrapper table .caption>th:first-of-type,
.date-picker-wrapper table .caption>th:last-of-type {
  width: 27px !important;
}

.date-picker-wrapper table .caption .next,
.date-picker-wrapper table .caption .prev {
  padding: 0 5px !important;
  cursor: pointer !important;
}

.date-picker-wrapper table .caption .next:hover,
.date-picker-wrapper table .caption .prev:hover {
  background-color: #ccc !important;
  color: white !important;
}

.date-picker-wrapper .gap {
  position: relative !important;
  z-index: 1 !important;
  width: 15px !important;
  height: 100% !important;
  background-color: red !important;
  font-size: 0 !important;
  line-height: 0 !important;
  float: left !important;
  top: -5px !important;
  margin: 0 10px -10px !important;
  visibility: hidden !important;
  height: 0 !important;
}

.date-picker-wrapper .gap .gap-lines {
  height: 100% !important;
  overflow: hidden !important;
}

.date-picker-wrapper .gap .gap-line {
  height: 15px !important;
  width: 15px !important;
  position: relative !important;
}

.date-picker-wrapper .gap .gap-line .gap-1 {
  z-index: 1 !important;
  height: 0 !important;
  border-left: 8px solid white !important;
  border-top: 8px solid #eee !important;
  border-bottom: 8px solid #eee !important;
}

.date-picker-wrapper .gap .gap-line .gap-2 {
  position: absolute !important;
  right: 0 !important;
  top: 0px !important;
  z-index: 2 !important;
  height: 0 !important;
  border-left: 8px solid transparent !important;
  border-top: 8px solid white !important;
}

.date-picker-wrapper .gap .gap-line .gap-3 {
  position: absolute !important;
  right: 0 !important;
  top: 8px !important;
  z-index: 2 !important;
  height: 0 !important;
  border-left: 8px solid transparent !important;
  border-bottom: 8px solid white !important;
}

.date-picker-wrapper .gap .gap-top-mask {
  width: 6px !important;
  height: 1px !important;
  position: absolute !important;
  top: -1px !important;
  left: 1px !important;
  background-color: #eee !important;
  z-index: 3 !important;
}

.date-picker-wrapper .gap .gap-bottom-mask {
  width: 6px !important;
  height: 1px !important;
  position: absolute !important;
  bottom: -1px !important;
  left: 7px !important;
  background-color: #eee !important;
  z-index: 3 !important;
}

.date-picker-wrapper .selected-days {
  display: none !important;
}

.date-picker-wrapper .drp_top-bar {
  line-height: 1.4 !important;
  position: relative !important;
  padding: 10px 40px 10px 0 !important;
}

.date-picker-wrapper .drp_top-bar .error-top,
.date-picker-wrapper .drp_top-bar .normal-top {
  display: none !important;
}

.date-picker-wrapper .drp_top-bar .default-top {
  display: block !important;
}

.date-picker-wrapper .drp_top-bar.error .default-top {
  display: none !important;
}

.date-picker-wrapper .drp_top-bar.error .error-top {
  display: block !important;
  color: red !important;
}

.date-picker-wrapper .drp_top-bar.normal .default-top {
  display: none !important;
}

.date-picker-wrapper .drp_top-bar.normal .normal-top {
  display: block !important;
}

.date-picker-wrapper .drp_top-bar.normal .normal-top .selection-top {
  color: #333 !important;
}

.date-picker-wrapper .drp_top-bar .apply-btn {
  position: absolute !important;
  right: 0px !important;
  top: 6px !important;
  padding: 3px 5px !important;
  margin: 0 !important;
  font-size: 12px !important;
  border-radius: 4px !important;
  cursor: pointer !important;
  color: #d9eef7 !important;
  border: solid 1px #0076a3 !important;
  background: #0095cd !important;
  background: -moz-linear-gradient(top, #00adee, #0078a5) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00adee', endColorstr='#0078a5') !important;
  color: white !important;
  line-height: initial !important;
}

.date-picker-wrapper .drp_top-bar .apply-btn.disabled {
  cursor: pointer !important;
  color: #606060 !important;
  border: solid 1px #b7b7b7 !important;
  background: #fff !important;
  background: -moz-linear-gradient(top, #fff, #ededed) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ededed') !important;
}

.date-picker-wrapper .time {
  position: relative !important;
}

.date-picker-wrapper.single-month .time {
  display: block !important;
}

.date-picker-wrapper .time input[type=range] {
  vertical-align: middle !important;
  width: 129px !important;
  padding: 0 !important;
  margin: 0 !important;
  height: 20px !important;
}

.date-picker-wrapper .time1 {
  width: 180px !important;
  padding: 0 5px !important;
  text-align: center !important;
}

/*time styling*/
.time2 {
  width: 180px !important;
  padding: 0 5px !important;
  text-align: center !important;
}

.date-picker-wrapper .time1 {
  float: left !important;
}

.date-picker-wrapper .time2 {
  float: right !important;
}

.date-picker-wrapper .hour {
  text-align: right !important;
}

.minute {
  text-align: right !important;
}

.date-picker-wrapper .hide {
  display: none !important;
}

.date-picker-wrapper .first-date-selected,
.date-picker-wrapper .last-date-selected {
  background-color: #49e !important;
  color: white !important;
}

.date-picker-wrapper .date-range-length-tip {
  position: absolute !important;
  margin-top: -4px !important;
  margin-left: -8px !important;
  -webkit-box-shadow: 0 0 3px rgba(0, 0, 0, 0.3) !important;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.3) !important;
  display: none !important;
  background-color: yellow !important;
  padding: 0 6px !important;
  border-radius: 2px !important;
  font-size: 12px !important;
  line-height: 16px !important;
  -webkit-filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.3)) !important;
  -moz-filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.3)) !important;
  -ms-filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.3)) !important;
  -o-filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.3)) !important;
  filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.3)) !important;
}

.date-picker-wrapper .date-range-length-tip:after {
  content: '' !important;
  position: absolute !important;
  border-left: 4px solid transparent !important;
  border-right: 4px solid transparent !important;
  border-top: 4px solid yellow !important;
  left: 50% !important;
  margin-left: -4px !important;
  bottom: -4px !important;
}

.date-picker-wrapper.two-months.no-gap .month1 .next,
.date-picker-wrapper.two-months.no-gap .month2 .prev {
  display: none !important;
}

.date-picker-wrapper .week-number {
  padding: 5px 0 !important;
  line-height: 1 !important;
  font-size: 12px !important;
  margin-bottom: 1px !important;
  color: #999 !important;
  cursor: pointer !important;
}

.date-picker-wrapper .week-number.week-number-selected {
  color: #49e !important;
  font-weight: bold !important;
}